'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _mdxProvider = require('./mdx-provider');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaults = {
  inlineCode: 'code',
  wrapper: 'div'
};

var MDXTag = function MDXTag(props) {
  var name = props.name,
      parentName = props.parentName,
      _props$props = props.props,
      childProps = _props$props === undefined ? {} : _props$props,
      children = props.children,
      _props$components = props.components,
      components = _props$components === undefined ? {} : _props$components,
      Layout = props.Layout;

  var Component = components[parentName + '.' + name] || components[name] || defaults[name] || name;

  if (Layout) {
    return _react2.default.createElement(
      Layout,
      { components: components },
      _react2.default.createElement(
        Component,
        childProps,
        children
      )
    );
  }

  return _react2.default.createElement(
    Component,
    childProps,
    children
  );
};

exports.default = (0, _mdxProvider.withMDXComponents)(MDXTag);